## RygelMediaArtStore

RygelMediaArtStore — This maps RygelMusicItem objects to their cached cover art, implementing the GNOME MediaArt storage specification and the simplified version that Banshee uses.

## Functions

#define | RYGEL_TYPE_MEDIA_ART_STORE
RygelThumbnail * | rygel_media_art_store_find_media_art ()
RygelThumbnail * | rygel_media_art_store_find_media_art_any ()
GFile * | rygel_media_art_store_get_media_art_file ()
RygelMediaArtStore * | rygel_media_art_store_get_default ()

## Types and Values

struct | RygelMediaArtStore
struct | RygelMediaArtStoreClass

## Object Hierarchy

        GObject
        ╰── RygelMediaArtStore

## Description

## Functions

### RYGEL_TYPE_MEDIA_ART_STORE

    #define RYGEL_TYPE_MEDIA_ART_STORE (rygel_media_art_store_get_type ())

The type for RygelMediaArtStore.

### rygel_media_art_store_find_media_art ()

    RygelThumbnail *
    rygel_media_art_store_find_media_art (RygelMediaArtStore *self,
                                          RygelMusicItem *item,
                                          gboolean simple,
                                          GError **error);

#### Parameters

self | the RygelMediaArtStore instance |
item |  |
simple |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_media_art_store_find_media_art_any ()

    RygelThumbnail *
    rygel_media_art_store_find_media_art_any
                                   (RygelMediaArtStore *self,
                                    RygelMusicItem *item,
                                    GError **error);

#### Parameters

self | the RygelMediaArtStore instance |
item |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_media_art_store_get_media_art_file ()

    GFile *
    rygel_media_art_store_get_media_art_file
                                   (RygelMediaArtStore *self,
                                    const gchar *type,
                                    RygelMusicItem *item,
                                    gboolean simple);

#### Parameters

self | the RygelMediaArtStore instance |
type |  |
item |  |
simple |  |

### rygel_media_art_store_get_default ()

    RygelMediaArtStore *
    rygel_media_art_store_get_default (void);

## Types and Values

### struct RygelMediaArtStore

    struct RygelMediaArtStore;

This maps RygelMusicItem objects to their cached cover art, implementing the GNOME MediaArt storage specification and the simplified version that Banshee uses.

### struct RygelMediaArtStoreClass

    struct RygelMediaArtStoreClass {
    	GObjectClass parent_class;
    };

The class structure for `RYGEL_TYPE_MEDIA_ART_STORE`. All the fields in this structure are private and should never be accessed directly.

#### Members

GObjectClass `parent_class`; | the parent class structure |